Elementor Cloud Website Incompatible Plugins

List of incompatible plugins

The following plugins are not allowed to be installed on Elementor Cloud Websites.

  • Backup Guard
  • Beaver Builder
  • Beaver Builder Lite
  • BlueHost Site Migrator
  • Brizy
  • BWP Minify
  • Customizer Export/Import
  • Divi Builder
  • Duplicator
  • Heartbeat Control
  • Image Map Pro
  • JetPack
  • Limit Login Attempts Reloaded
  • Migrate Guru
  • Oxygen Builder
  • Peepso
  • QTranslate X
  • Really Simple SSL
  • Revolution Slider
  • Shortcodes Ultimate
  • Site Origin Panels
  • Site Origin Widgets Bundle
  • SiteGround CachePress
  • SiteGround Migrator
  • Updraft Plus
  • VaultPress
  • Visual Composer
  • WD Facebook Feed
  • WordPress Real Cookie Banner
  • WP All Import
  • WP Clone
  • WP File Manager
  • WP Migrate
  • WP Reset
  • WP Site Migrate
  • WP Total Cache
  • WPVivid Backup and Restore

Share it on social networks

Share on facebook
Share on twitter
Share on linkedin
Share on email
Was this article helpful?

Get Started With Elementor Today

Join millions of professionals who use Elementor to build WordPress websites faster and better than ever before

On this page